#!/usr/bin/env node

import { createRequire } from 'module';
const require = createRequire(import.meta.url);
const auth = require('../src/auth-web.js');
const chalk = require('chalk');

console.log(chalk.cyan('==================='));
console.log(chalk.cyan('CLI Logout Tool'));
console.log(chalk.cyan('==================='));

// Perform logout
const result = auth.logout();

if (result) {
  console.log(chalk.green('\n✅ Successfully logged out!'));
  console.log(chalk.green('Token has been removed.'));
  process.exit(0);
} else {
  console.log(chalk.yellow('\n⚠️ No active session found.'));
  process.exit(0);
} 